Package twisted :: Package protocols :: Module irc :: Class DccSendFactory

[show private | hide private]
[frames | no frames]

## Class DccSendFactory

    Factory --+
              |
             DccSendFactory

Method Summary
| `__init__(self, file)`
| `buildProtocol(self, connection)`
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`class` | `DccSendProtocol`

Class Variable Details

### DccSendProtocol

`DccSendProtocol` = `twisted.protocols.irc.DccSendProtocol`

Generated by Epydoc 1.1 on Sat Feb 15 21:18:01 2003 | http://epydoc.sf.net